<?php

if(! defined('ABSPATH')) {
    header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}

?>

<form action="<?php echo admin_url('options.php') ?>" method="post">

    <?php

    settings_fields('fsww_general_options_group');
    do_settings_sections('fsww_general_options_group');

    ?>

    <div class="input-box">
        <div class="label">
            <span><?php echo __('فعال سازی درخواست پی در پی', 'fslm'); ?></span>
        </div>
        <div class="input">
            <input type="checkbox" name="fsww_refunds" <?php echo esc_attr(get_option('fsww_refunds', 'on'))=='on'?'checked':''?>>
        </div>
    </div>                               

    <div class="input-box">
        <div class="label">
            <span><?php echo __('Refund Rate (%)', 'fsww'); ?></span>
        </div>
        <div class="input">
            <input class="input-field" name="fsww_refund_rate" id="fsww_refund_rate" type="number" placeholder="100" min="0" max="100" value="<?php echo esc_attr(get_option('fsww_refund_rate', '100')); ?>">
        </div>
    </div>

    <div class="input-box">
        <div class="label">
            <span><?php echo __('پرداخت های جزئی', 'fslm'); ?></span>
        </div>
        <div class="input">
            <input type="checkbox" name="fsww_partial_payments" <?php echo esc_attr(get_option('fsww_partial_payments', 'on'))=='on'?'checked':''?>>
            <div class="helper">?<div class="tip">
                <?php echo __('If account balance is not enough discount the available funds from the accounts balance and pay the rest using a diffret payment gateway.', 'fslm'); ?>
            </div></div>
        </div>
    </div>  
    
    <div class="input-box">
        <div class="label">
            <span><?php echo __('نمایش موجودی در منو (برای نمایش موجودی در منو باید نام منو باید primary-menu باشد. (', 'fslm'); ?></span>
        </div>
        <div class="input">
            <input type="checkbox" name="fsww_show_balance_in_menu" <?php echo esc_attr(get_option('fsww_show_balance_in_menu', 'on'))=='on'?'checked':''?>>
        </div>
    </div>   
    
    <div class="input-box">
        <div class="label">
            <span><?php echo __('Number of Rows Per Page for Tables', 'fsww'); ?></span>
        </div>
        <div class="input">
            <input class="input-field" name="fsww_rows_per_page" id="fsww_rows_per_page" type="number" placeholder="100" min="10" value="<?php echo esc_attr(get_option('fsww_rows_per_page', '10')); ?>">
        </div>
    </div>
       
    <div class="input-box">
        <div class="label">
            <span><?php echo __('وضعیت سفارش پس از خرید', 'fsww'); ?></span>
        </div>
        
        <div class="input">
			<select class="input-field" name="fsww_order_status">       
        
        <?php
		
		$order_status = get_option('fsww_order_status', 'completed');
		
		require_once(dirname(FSWW_FILE) . '/includes/classes/FS_WC_Wallet.php');
		
		$order_statuses = (array) FS_WC_Wallet::get_terms('shop_order_status', array('hide_empty' => 0, 'orderby' => 'id'));

		if($order_statuses && !is_wp_error($order_statuses)) {
			foreach($order_statuses as $s) {

				if(version_compare(WOOCOMMERCE_VERSION, '2.2', '>=' )) {

					$s->slug = str_replace('wc-', '', $s->slug);     

				} 
				
				$selected = ($order_status==$s->slug)?'selected':'';
				
				?>
			
				<option value="<?php echo($s->slug) ?>" <?php echo($selected) ?>><?php echo($s->name) ?></option>

		<?php
					
			}
				
		}
		
		?>
        
        
    		</select>
		</div>
	</div>

    <?php submit_button(); ?>

</form>

