<?php

if(! defined('ABSPATH')) {
    header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}

require_once(dirname(__FILE__) . '/../functions.php');

?>

<div class="wrap fsww">
    <h1><?php _e('Add Funds', 'fsww') ?></h1><br>

    <div class="postbox">
        <div class="inside">

            <form action="<?php echo admin_url('admin-ajax.php') ?>" method="post">
               
                <input type="hidden" name="action" value="fsww_add_funds">
                
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('User', 'fsww'); ?></span>
                    </div>
                    <div class="input">
                        <select class="input-field" name="user_id" id="user_id">
                            <option value="0"><?php _e('Select the user') ?></option>
                            
                            <?php
                            
                            $users_list = get_users();
                                
                            foreach($users_list as $user) {
                                
                                $user_id = $user->ID;
                                $username = $user->user_login . ' (' . $user->user_email . ')';
                                
                                echo('<option value="' . $user_id . '">' . $username . '</option>');
                            
                            }
                            
                            ?>
                        </select>
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Balance', 'fsww'); ?></span>
                    </div>
                    <div class="input">
                        <input class="input-field" name="balance" id="balance" type="text" placeholder="0.00">
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Total Spent', 'fsww'); ?></span>
                    </div>
                    <div class="input">
                        <input class="input-field" name="total_spent" id="total_spent" type="text" placeholder="0.00">
                    </div>
                </div>
                
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Status', 'fslm'); ?></span>
                    </div>
                    <div class="input">
                        <select class="input-field" name="status">
                            <option value="unlocked"><?php echo __('Unlocked', 'fslm'); ?></option>
                            <option value="locked"><?php echo __('Locked', 'fslm'); ?></option>
                        </select>
                    </div>

                </div>

                <p class="submit">
                    <input name="save" id="save-add-fund" class="button button-primary" value="<?php echo __('Add Funds', 'fsww'); ?>" type="submit">
                    <br class="clear">
                </p>
                
            </form>
        
        </di>
            
    </div>
    
</div>




